public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/openapi-core/
Date: Tue, 11 Jul 2023 06:45:31 +0000 (UTC)	[thread overview]
Message-ID: <1689057927.30d1abda74b5e2cf02bb5b3c6b7af69d296ca136.mgorny@gentoo> (raw)

commit:     30d1abda74b5e2cf02bb5b3c6b7af69d296ca136
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 11 06:19:25 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul 11 06:45:27 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=30d1abda

dev-python/openapi-core: Bump to 0.18.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/openapi-core/Manifest                   |  1 +
 dev-python/openapi-core/openapi-core-0.18.0.ebuild | 69 ++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-python/openapi-core/Manifest b/dev-python/openapi-core/Manifest
index 58ca8f91edaa..2cc9579d57a4 100644
--- a/dev-python/openapi-core/Manifest
+++ b/dev-python/openapi-core/Manifest
@@ -1,3 +1,4 @@
 DIST openapi-core-0.16.6.gh.tar.gz 104008 BLAKE2B bb1bdac98dfc5aef0961624488074363568f53a6c44cb0730be0d103d891d24bed86659f640e0d07da4072edc233c904c0ddcfd9e8b3960ace1af078c0d745e5 SHA512 556636a4698dcd7db6c656333849077abacdac1a440fe58210ad8f02c1f0220e46dea29962346dfb3f89d164ebc986ec750c184840be9a34a5e1dd98fbf8ef98
 DIST openapi_core-0.17.1.tar.gz 85686 BLAKE2B f18b42fc496eaf4d6b82c15f66dd9c2eb9240402590b5a8e1f0e7b1e804c90aeef2db96d19683e9fea5846e776e95981ac52a38c47e2b56e6b5fd63d072b61f7 SHA512 0e2c673dbbfcce87ae7fbca6ec6c283d94c36376b1e17191d0bfa6c7001c62913381169b4614b5cd6131eaa67b729365036be3f1eb7641f634c0f3228de54897
 DIST openapi_core-0.17.2.tar.gz 88262 BLAKE2B 4d9a1be1eff4118bc1c687e57af0ff3738f984ceb6e564c643d26cb795bbcd3e703dd22c3b45d574f498d290f8da225819c9df618da5a1b8e40758304f2ebd07 SHA512 73cd2b62149549bd56781adb44922bca4a0519fbae8b6539d0225799ba1cfa1ab584428fd572ee42af4731b5437f08b8c4ad8f8895444aef315e4c6909fd4e5a
+DIST openapi_core-0.18.0.tar.gz 83474 BLAKE2B 785e95969e03d9ccf17e40c7ce563cef6ab45c417e397b0f03e982622fb1c65d4b3e719e94e1072c7a41b837097efea7b83e29e8ceec64579f1c58040c9fb291 SHA512 d9e516e00a53937f79c7419823a1533a507731e20da36e1186a1800f713154135524db968483ce850bd9a90a4c322ca1c957d6a7f99e9d8eefdc244ed9ce8bc0

diff --git a/dev-python/openapi-core/openapi-core-0.18.0.ebuild b/dev-python/openapi-core/openapi-core-0.18.0.ebuild
new file mode 100644
index 000000000000..a88ca0b8e16e
--- /dev/null
+++ b/dev-python/openapi-core/openapi-core-0.18.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Client-side and server-side support for the OpenAPI Specification v3"
+HOMEPAGE="
+	https://github.com/python-openapi/openapi-core/
+	https://pypi.org/project/openapi-core/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	<dev-python/asgiref-4[${PYTHON_USEDEP}]
+	>=dev-python/asgiref-3.6.0[${PYTHON_USEDEP}]
+	dev-python/isodate[${PYTHON_USEDEP}]
+	<dev-python/jsonschema-5[${PYTHON_USEDEP}]
+	>=dev-python/jsonschema-4.17.3[${PYTHON_USEDEP}]
+	<dev-python/jsonschema-spec-0.3[${PYTHON_USEDEP}]
+	>=dev-python/jsonschema-spec-0.2.3[${PYTHON_USEDEP}]
+	dev-python/more-itertools[${PYTHON_USEDEP}]
+	dev-python/parse[${PYTHON_USEDEP}]
+	<dev-python/openapi-schema-validator-0.7[${PYTHON_USEDEP}]
+	>=dev-python/openapi-schema-validator-0.6.0[${PYTHON_USEDEP}]
+	<dev-python/openapi-spec-validator-0.7[${PYTHON_USEDEP}]
+	>=dev-python/openapi-spec-validator-0.6.0[${PYTHON_USEDEP}]
+	dev-python/werkzeug[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+	test? (
+		>=dev-python/aiohttp-3.8.4[${PYTHON_USEDEP}]
+		dev-python/flask[${PYTHON_USEDEP}]
+		>=dev-python/httpx-0.24.0[${PYTHON_USEDEP}]
+		>=dev-python/pytest-aiohttp-1.0.4[${PYTHON_USEDEP}]
+		dev-python/responses[${PYTHON_USEDEP}]
+		>=dev-python/starlette-0.26.1[${PYTHON_USEDEP}]
+		dev-python/strict-rfc3339[${PYTHON_USEDEP}]
+		dev-python/webob[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+	# falcon is not packaged
+	tests/integration/contrib/falcon
+
+	# TODO: these tests fail to collect
+	tests/integration/validation/test_security_override.py
+	tests/integration/validation/test_read_only_write_only.py
+
+	# unhappy about modern django
+	tests/integration/contrib/django/test_django_project.py
+	tests/unit/contrib/django/test_django.py
+)
+
+src_prepare() {
+	sed -i -e '/--cov/d' pyproject.toml || die
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2023-07-11  6:45 UTC|newest]

Thread overview: 69+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-11  6:45 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-21  4:12 [gentoo-commits] repo/gentoo:master commit in: dev-python/openapi-core/ Michał Górny
2025-02-28 18:52 Michał Górny
2024-09-21 10:43 Michał Górny
2024-09-21  9:59 Sam James
2024-09-03  5:23 Michał Górny
2024-08-31  9:21 Michał Górny
2024-08-31  8:04 Jakov Smolić
2024-08-15  3:47 Michał Górny
2024-07-06  8:33 Michał Górny
2024-07-06  6:39 Sam James
2024-06-16  8:12 Petr Vaněk
2024-06-16  8:12 Petr Vaněk
2024-06-13  4:05 Michał Górny
2024-04-27  7:40 Michał Górny
2024-04-11  4:25 Michał Górny
2024-03-06  3:40 Sam James
2024-03-02 12:24 Arthur Zamarin
2024-03-02 11:25 Arthur Zamarin
2024-03-02 11:18 Arthur Zamarin
2024-03-02  9:49 Arthur Zamarin
2024-03-01  7:28 Viorel Munteanu
2024-03-01  7:28 Viorel Munteanu
2024-03-01  7:28 Viorel Munteanu
2024-02-15 21:15 Sam James
2024-02-15 19:43 Jakov Smolić
2024-02-15 18:34 Jakov Smolić
2023-11-25 15:36 Michał Górny
2023-11-25 15:20 Arthur Zamarin
2023-11-20 15:23 Michał Górny
2023-11-07 15:19 Michał Górny
2023-10-24 17:51 Michał Górny
2023-10-15 17:27 Michał Górny
2023-10-15  7:45 Sam James
2023-10-13 14:47 Arthur Zamarin
2023-09-18 20:47 Arthur Zamarin
2023-09-14 15:39 Michał Górny
2023-09-14  5:27 WANG Xuerui
2023-09-10  5:27 WANG Xuerui
2023-08-14 17:57 Jakov Smolić
2023-08-14 17:57 Jakov Smolić
2023-08-13 16:10 Arthur Zamarin
2023-08-13 16:10 Arthur Zamarin
2023-08-13 16:08 Arthur Zamarin
2023-08-13 16:08 Arthur Zamarin
2023-08-13  6:37 Joonas Niilola
2023-07-24 10:49 Michał Górny
2023-06-16  4:05 Michał Górny
2023-06-13 16:26 Michał Górny
2023-03-17 13:33 Michał Górny
2023-03-06 14:05 Michał Górny
2023-03-03  5:53 Michał Górny
2023-02-16 14:13 Michał Górny
2023-01-25  7:55 Michał Górny
2023-01-19 17:43 Michał Górny
2022-12-21  7:51 Michał Górny
2022-11-26  6:28 Michał Górny
2022-10-13  5:06 Michał Górny
2022-10-12 19:22 Sam James
2022-10-12 19:22 Sam James
2022-10-10 14:04 Michał Górny
2022-10-07 20:31 Michał Górny
2022-10-05 19:23 Michał Górny
2022-10-05  9:41 Michał Górny
2022-09-22 14:47 Andrew Ammerlaan
2022-09-22 11:01 Michał Górny
2022-09-03 12:04 Michał Górny
2022-06-11  7:39 Andrew Ammerlaan
2022-06-10 14:30 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1689057927.30d1abda74b5e2cf02bb5b3c6b7af69d296ca136.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox